<template>
    <Page>
        <ActionBar title="Welcome to NativeScript-Vue!"/>
        <StackLayout>
            <Label class="message" :text="msg"/>
            <Button text="Bouton" @tap="buttonAction()" />
            <Button text="To Layout" @tap="goToLayout()" />
            <Button text="To Picture" @tap="goToPicture()" />
            <Button text="To Accelerometer" @tap="goToAcc()" />
            <Button text="To Game" @tap="goToGame()" />
            
        </StackLayout>
    </Page>
</template>

<script >
import ExoLayoutVue from './ExoLayout.vue';
import PictureVue from './Picture.vue';
import AccVue from './Acc.vue';
import GameVue from './Game.vue';

  export default {
    data() {
      return {
        msg: 'Hello World!',
        position: null
      }
    },
    methods: {
      buttonAction() {
        alert('Coucou')
      },
      goToLayout() {
        this.$navigateTo(ExoLayoutVue);
      },
      goToPicture() {
        this.$navigateTo(PictureVue);
      },
      goToAcc() {
        this.$navigateTo(AccVue);
      },
      goToGame() {
        this.$navigateTo(GameVue);
      }
    }
  }
</script>

<style scoped>
    ActionBar {
        background-color: #53ba82;
        color: #ffffff;
    }

    .message {
        vertical-align: center;
        text-align: center;
        font-size: 20;
        color: #333333;
    }
</style>
